{
	"name": "typo3/cms-extbase",
	"type": "typo3-cms-framework",
	"description": "A framework to build extensions for TYPO3 CMS.",
	"homepage": "https://typo3.org",
	"license": ["GPL-2.0-or-later"],
	"authors": [{
		"name": "TYPO3 Core Team",
		"email": "typo3cms@typo3.org",
		"role": "Developer"
	}],
	"config": {
		"sort-packages": true
	},
	"require": {
		"php": "^7.0 <7.4",
		"typo3/cms-core": "8.7.24"
	},
	"suggest": {
		"typo3/cms-scheduler": "Additional scheduler tasks"
	},
	"conflict": {
		"typo3/cms": "*"
	},
	"replace": {
		"extbase": "*"
	},
	"extra": {
		"typo3/cms": {
			"Package": {
				"protected": true,
				"partOfFactoryDefault": true,
				"partOfMinimalUsableSystem": true
			},
			"extension-key": "extbase"
		},
		"typo3/class-alias-loader": {
			"always-add-alias-loader": true,
			"class-alias-maps": [
				"Migrations/Code/ClassAliasMap.php"
			]
		}
	},
	"autoload": {
		"psr-4": {
			"TYPO3\\CMS\\Extbase\\": "Classes/"
		}
	},
	"autoload-dev": {
		"psr-4": {
			"TYPO3\\CMS\\Extbase\\Tests\\": "Tests/"
		},
		"classmap": ["Tests/Unit/Object/Container/Fixtures/"]
	}
}
